/* -------------------------------------------------------------------------- */
/*                                  Libraries                                 */
/* -------------------------------------------------------------------------- */
import Button from "components/controls/Button";
import StandalonePage from "components/StandalonePage";
import React from "react";

/* -------------------------------------------------------------------------- */
/*                              Unauthorized page                             */
/* -------------------------------------------------------------------------- */
export default function AuthFailure() {
  return (
    <StandalonePage>
      <div className="flex flex-col items-center justify-center h-full space-y-4">
        <div className="text-3xl font-bold text-gray-200">You have to be authorized</div>
        <div className="text-2xl  text-gray-400">to access techpal dashboard</div>
        <Button
          variant="red"
          type="fill"
          href={process.env.REACT_APP_OPENID_PROVIDER_URL}
        >
          Войти
        </Button>
      </div>
    </StandalonePage>
  );
}
