import React from "react";
import { WithRouteProps } from "routes";

type Props = {
  children: React.ReactElement<WithRouteProps>;
};

export default function StandalonePage({ children }: Props) {
  return (
    <div className="grid grid-flow-col grid-rows-page grid-cols-layout max-h-screen overflow-hidden transition-all">
      <main className="col-span-2 row-span-2 relative rounded-lg m-2 pl-24 bg-main shadow-lg shadow-serv-900/20">
        {children}
      </main>
    </div>
  );
}
